// sdxBaseEngine TextureShader  2009 Sascha Bajus
// ----------------------------------------------------
//
// Der einfache PixelShader gibt die Farbwerte der 
// angegebenen Textur zurck.
// Somit wird das 3D Objekt texturiert
// ----------------------------------------------------


//Declarations
matrix WorldViewProj : WORLDVIEWPROJECTION;
Texture model;
sampler TextureSampler=sampler_state { texture   = <model>;
                                       mipfilter = LINEAR; };

//Vertex Output Structure
struct VS_OUTPUT 
{
  vector pos   : POSITION;
  vector tex   : TEXCOORD;
};

//VertexShader Section
VS_OUTPUT vsmain(vector pos :POSITION, vector tex :TEXCOORD)
{
  VS_OUTPUT Out;
  Out.pos = mul(pos,WorldViewProj);
  Out.tex = tex;
  return Out;
}

//PixelShader Section
float4 psmain(vector texx :TEXCOORD) : COLOR
{
  return tex2D(TextureSampler, texx);
}

//Technique Section
technique textured
{
  pass p0
  {
    VertexShader = compile vs_1_1  vsmain();
    PixelShader  = compile ps_2_0  psmain();
  }
}